FROM python:3.10 as pyodbc
WORKDIR /app
COPY . .
COPY openssl.cnf /etc/ssl/openssl.cnf


# pyodbc
RUN apt-get update
RUN apt-get install g++ unixodbc-dev -y
RUN pip install --user pyodbc
RUN pip install --user uvicorn
RUN pip install --user pyodbc
RUN pip install --user fastapi PyJWT pydantic fastapi-utils bcrypt pandas

# mssql
RUN curl https://packages.microsoft.com/keys/microsoft.asc | apt-key add -
RUN curl https://packages.microsoft.com/config/debian/11/prod.list > /etc/apt/sources.list.d/mssql-release.list
RUN sh -c "curl https://packages.microsoft.com/keys/microsoft.asc | apt-key add -" \
    && apt-get update \
    && sh -c "curl https://packages.microsoft.com/config/ubuntu/20.04/prod.list > /etc/apt/sources.list.d/mssql-release.list" \
    && apt-get update \
    && ACCEPT_EULA=Y apt-get install -y msodbcsql18 \
    && ACCEPT_EULA=Y apt-get install -y mssql-tools18

# RUN ACCEPT_EULA=Y apt-get install -y mssql-tools18
RUN echo 'export PATH="$PATH:/opt/mssql-tools18/bin"' >> ~/.bashrc
RUN . ~/.bashrc

# RUN apt-get install -y unixodbc-dev
# RUN apt-get install -y libgssapi-krb5-2
EXPOSE 5000
CMD ["python","-i","main.py"]

